Get Market Orderbook
curl --request GET \
--url https://api.polyquantlab.com/v1/markets/{market_id}/orderbook \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.polyquantlab.com/v1/markets/{market_id}/orderbook"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.polyquantlab.com/v1/markets/{market_id}/orderbook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"market_id": "0x4a8f31...c2",
"time": "2026-06-06T03:58:12+00:00",
"mid_yes": 0.815,
"spread_yes": 0.01,
"underlying_price": 109842.5,
"orderbook_up": {
"bids": [
[
0.81,
1200
],
[
0.8,
850
],
[
0.79,
2100
]
],
"asks": [
[
0.82,
950
],
[
0.83,
1800
],
[
0.84,
1100
]
]
},
"orderbook_down": {
"bids": [
[
0.18,
1100
],
[
0.17,
1700
]
],
"asks": [
[
0.19,
1300
],
[
0.2,
900
]
]
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Markets
Get Market Orderbook
Single-snapshot orderbook for the requested market.
Matches PolyBackTest’s orderbook_up / orderbook_down schema.
GET
/
v1
/
markets
/
{market_id}
/
orderbook
Get Market Orderbook
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Return the orderbook at (or closest to) this timestamp. Defaults to latest.
Response
Successful Response
Polymarket market identifier (hex 0x…).
Current spot price of the underlying coin at this snapshot.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I